Bug 237813 - Review Request: taxipilot - Game where you pilot a taxi in space
Review Request: taxipilot - Game where you pilot a taxi in space
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karol Trzcionka
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 11:07 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 16:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlikt: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-04-25 11:07:05 EDT
Spec URL: http://people.atrpms.net/~hdegoede/taxipilot.spec
SRPM URL: http://people.atrpms.net/~hdegoede/taxipilot-0.9.1-1.fc7.src.rpm
Description:
Game where you pilot a taxi in space, the objective is to pick up passengers
waiting on a number of platforms and to drop them where they want to go.
That's basically it.
Comment 1 Jochen Schmitt 2007-04-25 17:09:20 EDT
Good:
+ Naming seems good.
+ License seems ok.
+ Local Build works fine.
+ Rpmlint is quite on source rpm.
+ Local install and uninstall works fine.
+ Could start game.
+ Mock build works fine.

Bad:
- Rpmlint complaints binary package:
rpmlint taxipilot-0.9.1-1.x86_64.rpm
W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
- Package doesn't conatins varbatin copy ot the license text. Upstream tar bar
contains file COPYING which should be in the %doc stanza.
- Rpmlint complaints the installed package:
rpmlint taxipilot
W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZN4Arts7Factory7startupEv
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZN4Arts7Factory8shutdownEv
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZTIN4Arts7FactoryE
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZTv0_n24_N4Arts11Object_skel6notifyERKNS_12NotificationE
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZTv0_n40_N4Arts11Object_skel5_skelEv
W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
_ZN4Arts11Object_base5_stubEv
=== CUT ===
for the undefined-non-week-symbol issue, please notify the upstream to fix it.
There are a lot of such messages from rpmlint.
- Source0 Tag in SPEC file doesn't show to the upstram tar ball. A HTTP-Code 404
occured.
- Could not build package for target i686 on the x86_64 system:
checking for perl... /usr/bin/perl
checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (library qt-mt)
not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.75137 (%build)




BTW: Becouse I'm on vacation in the next way, I don't assign the review to me.



Comment 2 Hans de Goede 2007-04-26 11:15:28 EDT
(In reply to comment #1)
> Bad:
> - Rpmlint complaints binary package:
> rpmlint taxipilot-0.9.1-1.x86_64.rpm
> W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
> /usr/share/doc/HTML/en/common
> W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
> /usr/share/doc/HTML/en/common
This is standard for KDE packages and can be ignored
> E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
This file is needed and must stay

> - Package doesn't conatins varbatin copy ot the license text. Upstream tar bar
> contains file COPYING which should be in the %doc stanza.
Oops, fixed

> - Rpmlint complaints the installed package:
> rpmlint taxipilot
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZN4Arts7Factory7startupEv
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZN4Arts7Factory8shutdownEv
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZTIN4Arts7FactoryE
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZTv0_n24_N4Arts11Object_skel6notifyERKNS_12NotificationE
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZTv0_n40_N4Arts11Object_skel5_skelEv
> W: taxipilot undefined-non-weak-symbol /usr/lib64/libEXT_wavpo.so.0.0.0
> _ZN4Arts11Object_base5_stubEv
> === CUT ===

Fixed

> for the undefined-non-week-symbol issue, please notify the upstream to fix it.
> There are a lot of such messages from rpmlint.
> - Source0 Tag in SPEC file doesn't show to the upstram tar ball. A HTTP-Code 404
> occured.

Typo, fixed

> - Could not build package for target i686 on the x86_64 system:
> checking for perl... /usr/bin/perl
> checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (library qt-mt)
> not found. Please check your installation!
> For more details about this problem, look at the end of config.log.
> Make sure that you have compiled Qt with thread support!
> Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.75137 (%build)
> 

You mean trying to build an i386 version on x86_64 without using mock? Thats not
supported and won't work for many packages.

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/taxipilot.spec
SRPM URL: http://people.atrpms.net/~hdegoede/taxipilot-0.9.1-2.fc7.src.rpm
Comment 3 Karol Trzcionka 2007-05-03 17:45:17 EDT
1. rpmlint returns
[paczka@localhost ~]$ rpmlint /var/lib/mock/fedora-development-i386-core/result
W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag

2. "Data files (maps, pixmaps, sounds) go in  %{_datadir}/%{name} , not
%{_datadir}/games/%{name} . According to the FHS, the use of /usr/share/games is
optional, and we recommend not using it for consistency so that games are
packaged like all other applications."
In the rpm, datafiles are in /usr/share/apps. Please check it.

3. "Installed .desktop files MUST follow the [desktop-entry-spec], paying
particular attention to validating correct usage of Name, GenericName,
[Categories], [StartupNotify] entries."
In .desktop is not defined GenericName and the shortcut is after installation in
Games without any category, check it.

4. "- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec."
There is %{_libdir}/libEXT_wavpo.la

5. Add NEWS to %doc, please.

I did not check all require items, but these should be checked/fixed.
Comment 4 Hans de Goede 2007-05-04 00:38:42 EDT
(In reply to comment #3)
> 1. rpmlint returns
> [paczka@localhost ~]$ rpmlint /var/lib/mock/fedora-development-i386-core/result
> W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
> /usr/share/doc/HTML/en/common
> W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
> /usr/share/doc/HTML/en/common
> E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
> 

As already expained in comments above, the dangling symlink warning is normal
for KDE packages, the directory the link points to is provided by kdelibs

> 2. "Data files (maps, pixmaps, sounds) go in  %{_datadir}/%{name} , not
> %{_datadir}/games/%{name} . According to the FHS, the use of /usr/share/games is
> optional, and we recommend not using it for consistency so that games are
> packaged like all other applications."
> In the rpm, datafiles are in /usr/share/apps. Please check it.
> 

Again, this is a KDE app, all kde apps have their data under
%{_datadir}/apps/%{name}

> 3. "Installed .desktop files MUST follow the [desktop-entry-spec], paying
> particular attention to validating correct usage of Name, GenericName,
> [Categories], [StartupNotify] entries."
> In .desktop is not defined GenericName and the shortcut is after installation in
> Games without any category, check it.
> 

GenericName use is optional and doesn't make any sense for Games. The game ends
up in the Games menu and not in a submenu, because non of the default KDE Games
menu submenus make sense for it. If you install the games-menus package you will
get more submenus under KDE and submenus under Games and then it will go under
the "Action Games" submenu (best match)

> 4. "- MUST: Packages must NOT contain any .la libtool archives, these should be
> removed in the spec."
> There is %{_libdir}/libEXT_wavpo.la
> 

<sigh> There is a comment about this in the spec file:
# .la file is included deliberately -> kde

KDE needs .la files in certain cases.

> 5. Add NEWS to %doc, please.
> 

NEWS doesn't have any (relevant) content.
Comment 5 Karol Trzcionka 2007-05-04 08:25:14 EDT
MUST: rpmlint must be run on every package. The output should be posted in the
review.
W: taxipilot dangling-symlink /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
W: taxipilot symlink-should-be-relative /usr/share/doc/HTML/en/taxipilot/common
/usr/share/doc/HTML/en/common
E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
It can be ignored, but if taxipilot works without game_data_tag, you should
delete it before finally release.

MUST: The package must be named according to the Package Naming Guidelines.
+

MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
+

MUST: The package must meet the Packaging Guidelines.
+

MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
+  Package licensed under GPLv2

MUST: The License field in the package spec file must match the actual license.
+

MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
+ included

MUST: The spec file must be written in American English.
+

MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
+

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
+ md5sum: c8f5b5a7ca6ea0b3f42ecdef1620f7cb

MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
+ I check it under mock, fedora-devel-i386.core.cfg, and it built correct

MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
I think the BRs are correct, because it built under mock and the package works
after installation.

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
+

MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package. Without this, use of Prefix: /usr is considered a blocker.
N/A

MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory. The exception to this are directories listed explicitly in the
Filesystem Hierarchy Standard (http://www.pathname.com/fhs/pub/fhs-2.3.html), as
it is safe to assume that those directories exist.
+

MUST: A package must not contain any duplicate files in the %files listing.
+

MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
+

MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+

MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
+

MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
+

MUST: Large documentation files should go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity)
N/A

MUST: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
+

MUST: Header files must be in a -devel package.
N/A

MUST: Static libraries must be in a -static package.
N/A

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
N/A

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
N/A

MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
It works without .la files and I can't see any good reason to avoid deleting
that file.

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.
+

MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
+

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
+

MUST: All filenames in rpm packages must be valid UTF-8.
+

Before approve, please write any good reason for avoid deleting the libtool
archives form package and check working without game_data_tag.
Comment 6 Karol Trzcionka 2007-05-04 08:32:16 EDT
I forgot to assign review request to me
Comment 7 Hans de Goede 2007-05-04 08:50:54 EDT
(In reply to comment #5)
Thanks for the review!

> Before approve, please write any good reason for avoid deleting the libtool
> archives form package

As already explained in both the specfile and a comment, .la files should not be
deleted from kde-libraries, for example see the output of:
rpm -ql kdelibs | grep '\.la'
Also see:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7
Which explicitly mentions an exception for kde packaghes.

and check working without game_data_tag.
Quoting myself from comment #2:
> E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
This file is needed and must stay
Comment 8 Karol Trzcionka 2007-05-04 09:29:10 EDT
(In reply to comment #7)
> (In reply to comment #5)
> Thanks for the review!
> 
> > Before approve, please write any good reason for avoid deleting the libtool
> > archives form package
> 
> As already explained in both the specfile and a comment, .la files should not be
> deleted from kde-libraries, for example see the output of:
> rpm -ql kdelibs | grep '\.la'
> Also see:
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7
> Which explicitly mentions an exception for kde packaghes.

So I quote:
[Comment from mschwendt: It is not that easy, unfortunately, to kill libtool
dependency bloat this way. Some software needs libtool archives at
***RUN-TIME*** because it uses an old libltdl to dlopen DSOs or uses a broken
libltdl (like KDE bug #93359).]
If it doesn't need .la at run-time (works OK), it can be IMHO removed.
If you think that the .la files are needed for working, Guidelines can be ignored.
+

> and check working without game_data_tag.
> Quoting myself from comment #2:
> > E: taxipilot zero-length /usr/share/apps/taxipilot/game_data/game_data_tag
> This file is needed and must stay
Ops, I overlooked it. Sorry :)
+

APPROVED
Comment 9 Hans de Goede 2007-05-04 14:15:35 EDT
Thanks, I'll try to review widelands ASAP.

New Package CVS Request
=======================
Package Name:      taxipilot
Short Description: Game where you pilot a taxi in space
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>
Comment 10 Dennis Gilmore 2007-05-05 12:05:38 EDT
cvs done
Comment 11 Hans de Goede 2007-05-10 16:42:51 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.